#
# spec file for package libx86emu (Version 1.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2008 Steffen Winterfeldt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


ExclusiveArch:  %ix86 x86_64

Name:           libx86emu
License:        BSD-3-Clause
Group:          System/Libraries
AutoReqProv:    on
Summary:        A small x86 emulation library.
Version:        1.1
Release:        22.1.2.2%{?dist}
PreReq:         /sbin/ldconfig
Source:         libx86emu-1.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Small x86 emulation library with focus of easy usage and extended
execution logging functions.



Authors:
--------
    Steffen Winterfeldt

%package -n     libx86emu1
License:        BSD-3-Clause
Summary:        A small x86 emulation library.
Group:          System/Libraries
AutoReqProv:    on

%description -n libx86emu1
Small x86 emulation library with focus of easy usage and extended
execution logging functions.



Authors:
--------
    Steffen Winterfeldt

%package -n     libx86emu-devel
License:        BSD-3-Clause
Summary:        A small x86 emulation library.
Group:          System/Libraries
Requires:       libx86emu1 = %version

%description -n libx86emu-devel
Small x86 emulation library with focus of easy usage and extended
execution logging functions.



Authors:
--------
    Steffen Winterfeldt

%prep
%setup -n libx86emu-%{version}

%build
make LIBDIR=%{_libdir}

%install
install -d -m 755 %{buildroot}%{_libdir}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}

%clean 
rm -rf %{buildroot}

%post -n libx86emu1 -p /sbin/ldconfig

%postun -n libx86emu1 -p /sbin/ldconfig

%files -n libx86emu1
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n libx86emu-devel
%defattr(-,root,root)
%{_libdir}/*.so
/usr/include/x86emu.h
%doc README LICENSE

%changelog
* Mon Dec 11 2017 tjeyasin@redhat.com
- fix release version issue
* Thu Apr 20 2017 tjeyasin@redhat.com
- rebuild for tendrl application
* Wed Jun 10 2009 snwint@suse.de
- avoid that error in future
* Tue Jun  9 2009 coolo@novell.com
- fix typo
* Tue Jun  9 2009 snwint@suse.de
- export only API functions in shared lib
* Wed Apr  8 2009 snwint@suse.de
- upgraded to version 1.0
- align to package conventions
